# WOK
TKWOK
MS

# MS_GenClass Class Reference

`#include <MS_GenClass.hxx>`

Inheritance diagram for MS_GenClass:

[legend]

## Public Member Functions

Standard_EXPORT | MS_GenClass (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPackage)
Standard_EXPORT | MS_GenClass (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPackage, const Standard_Boolean aPrivate, const Standard_Boolean aDeferred, const Standard_Boolean aInComplete)
Standard_EXPORT void | NestedStdClass (const Handle(TCollection_HAsciiString)&aClass)
Standard_EXPORT void | NestedInsClass (const Handle(TCollection_HAsciiString)&aClass)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | GetNestedStdClassesName () const
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | GetNestedInsClassesName () const
| these nested are created when the corresponding class is translated, before they are in the Nested group. It s only because in the package.cdl we dont know if the nested classes of a generic are "standard" or "instantiation".
Standard_EXPORT void | AddNested (const Handle(TCollection_HAsciiString)&aClass)
Standard_EXPORT void | RemoveNested (const Handle(TCollection_HAsciiString)&aClass)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | GetNestedName () const
Standard_EXPORT void | CheckNested () const
| Nested group : each time the definition of a nested class of <me> is translated, the class is moved from this group to the "NestStd" or "NestedIns". .
Standard_EXPORT void | Validity (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPackage) const
Standard_EXPORT void | GenType (const Handle(TCollection_HAsciiString)&aItem)
Standard_EXPORT void | GenType (const Handle(TCollection_HAsciiString)&aItem, const Handle(TCollection_HAsciiString)&aConstraint)
Standard_EXPORT void | GenType (const Handle(MS_GenType)&aItem)
Standard_EXPORT Handle_MS_HSequenceOfGenType | GenTypes () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_MS_HSequenceOfGenType | myGenTypes
Handle_TColStd_HSequenceOfHAsciiString | myNestStd
Handle_TColStd_HSequenceOfHAsciiString | myNestIns
Handle_TColStd_HSequenceOfHAsciiString | myNested
Handle_TCollection_HAsciiString | myComment

## Constructor & Destructor Documentation

Standard_EXPORT MS_GenClass::MS_GenClass | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPackage
| ) |

Standard_EXPORT MS_GenClass::MS_GenClass | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPackage,
|  | const Standard_Boolean | aPrivate,
|  | const Standard_Boolean | aDeferred,
|  | const Standard_Boolean | aInComplete
| ) |

## Member Function Documentation

Standard_EXPORT void MS_GenClass::AddNested | ( | const Handle(TCollection_HAsciiString)& | aClass | ) |

Standard_EXPORT void MS_GenClass::CheckNested | ( |  | ) | const

Standard_EXPORT void MS_GenClass::GenType | ( | const Handle(MS_GenType)& | aItem | ) |

Standard_EXPORT void MS_GenClass::GenType | ( | const Handle(TCollection_HAsciiString)& | aItem,
|  | const Handle(TCollection_HAsciiString)& | aConstraint
| ) |

Standard_EXPORT void MS_GenClass::GenType | ( | const Handle(TCollection_HAsciiString)& | aItem | ) |

Standard_EXPORT Handle_MS_HSequenceOfGenType MS_GenClass::GenTypes | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_GenClass::GetNestedInsClassesName | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_GenClass::GetNestedName | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_GenClass::GetNestedStdClassesName | ( |  | ) | const

Standard_EXPORT const MS_GenClass::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_Class.

Standard_EXPORT void MS_GenClass::NestedInsClass | ( | const Handle(TCollection_HAsciiString)& | aClass | ) |

Standard_EXPORT void MS_GenClass::NestedStdClass | ( | const Handle(TCollection_HAsciiString)& | aClass | ) |

Standard_EXPORT void MS_GenClass::RemoveNested | ( | const Handle(TCollection_HAsciiString)& | aClass | ) |

Standard_EXPORT void MS_GenClass::Validity | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPackage
| ) | const`[virtual]`

| Implements MS_Class.

## Field Documentation

Handle_TCollection_HAsciiString MS_GenClass::myComment `[private]`

| Reimplemented from MS_Class.

Handle_MS_HSequenceOfGenType MS_GenClass::myGenTypes `[private]`

Handle_TColStd_HSequenceOfHAsciiString MS_GenClass::myNested `[private]`

Handle_TColStd_HSequenceOfHAsciiString MS_GenClass::myNestIns `[private]`

Handle_TColStd_HSequenceOfHAsciiString MS_GenClass::myNestStd `[private]`

The documentation for this class was generated from the following file:

- MS_GenClass.hxx